@echo off
set MINGW_HOME=C:/Progra~1/MinGW
PATH=%MINGW_HOME%\bin;%MINGW_HOME%\msys\bin;%PATH% 
rem PATH=%~dp0\..\..\mingw\bin;"%~dp0\..\..\mingw\msys\bin";%PATH%
if "%2"=="" set target=all
if "%2"=="build" set target=all
if "%2"=="rebuild" set target=clean all
if "%2"=="clean" set target=clean
echo Setting environment for MinGW
mingw32-make -s %target% -f %1
